Index: ow/templates/edit_profile.pt
===================================================================
--- ow/templates/edit_profile.pt	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ ow/templates/edit_profile.pt	(revision 5ec3a0b5cf5640304a0953320daef2a28bbca9a5)
@@ -13,145 +13,71 @@
 
   <metal:title metal:fill-slot="title">
-      <tal:t i18n:translate="">Edit profile</tal:t>
+    <tal:t i18n:translate="">Edit profile</tal:t>
   </metal:title>
 
-  <metal:css metal:fill-slot="css">
-      <link rel="stylesheet" href="${request.static_url('ow:static/components/pickadate/themes/default.css')}" />
-      <link rel="stylesheet" href="${request.static_url('ow:static/components/pickadate/themes/default.date.css')}" />
-  </metal:css>
-
   <metal:content metal:fill-slot="content">
-    <div class="edit-profile ow-forms">
-            <a href="" class="back"
-               tal:attributes="href request.resource_url(context, 'profile')"
-               i18n:translate="">Cancel</a>
-      <h2 i18n:translate="">Edit profile</h2>
+    <div id="add_workout">
       ${form.begin(multipart=True)}
       ${form.csrf_token()}
 
-        <fieldset>
-            <div class="input-container ly-flex ly-2 has-gap">
-              <div>
-                  <label for="email" i18n:translate="">Email address:</label>
-                  ${form.errorlist('email')}
-                  ${form.text('email')}
-              </div>
-              <div>
-                  <label for="nickname" i18n:translate="">Nickname:</label>
-                  ${form.errorlist('nickname')}
-                  ${form.text('nickname')}
-              </div>
-            </div>
-            <div  class="input-container ly-flex ly-2 has-gap">
-                <div>
-                  <tal:c tal:condition="getattr(context, 'picture', None)">
-                      <label for="current_picture" i18n:translate="">
-                          Current picture:</label>
-                      <img id="current_picture"
-                           tal:attributes="src request.resource_path(context, 'picture', query={'size': 200})"
-                           width="150">
-                  </tal:c>
-                </div>
-                <div>
-                  <label for="picture" i18n:translate="">
-                      Picture (jpg, jpeg, png or gif):</label>
-                  ${form.errorlist('picture')}
-                  ${form.file('picture')}
-                </div>
-            </div>
-            <div class="input-container ly-flex ly-3 has-gap">
-              <div>
-                  <label for="firstname" i18n:translate="">First name:</label>
-                  ${form.errorlist('firstname')}
-                  ${form.text('firstname')}
-              </div>
-              <div>
-                  <label for="lastname" i18n:translate="">Last name:</label>
-                  ${form.errorlist('lastname')}
-                  ${form.text('lastname')}
-              </div>
-              <div>
-                <label for="gender" i18n:translate="">Gender:</label>
-                ${form.errorlist('gender')}
-                ${form.select('gender', gender_names)}
-              </div>
-            </div>
+      <fieldset>
+        ${form.errorlist('email')}
+        <label for="email" i18n:translate="">Email address:</label>
+        ${form.text('email')}
+      </fieldset>
 
-            <div class="input-container ly-flex ly-3 has-gap">
-              <div>
-                  <label for="birth_date" i18n:translate="">Birth date:</label>
-                  ${form.errorlist('birth_date')}
-                  ${form.date('birth_date', date_format='%d/%m/%Y')}
-              </div>
-              <div>
-                  <label for="height" i18n:translate="">Height (meters):</label>
-                  ${form.errorlist('height')}
-                  ${form.text('height')}
-              </div>
-              <div>
-                  <label for="weight" i18n:translate="">Weight (kg):</label>
-                  ${form.errorlist('weight')}
-                  ${form.text('weight')}
-              </div>
-            </div>
-            <p>
-                <label for="bio" i18n:translate="">Bio/About you:</label>
-                ${form.errorlist('bio')}
-                ${form.textarea('bio', rows=10, cols=50)}
-            </p>
-            <div class="input-container ly-flex ly-2 has-gap">
-              <div>
-                <label for="timezone" i18n:translate="">Timezone:</label>
-                <p>
-                  <small i18n:translate="">
-                    All dates and times will be formatted for this timezone
-                  </small>
-                </p>
-                ${form.errorlist('timezone')}
-                ${form.select('timezone', timezones)}
-              </div>
-              <div>
-                <label for="locale" i18n:translate="">Language:</label>
-                <p>
-                  <small i18n:translate="">
-                    All texts in the user interface will appear in this language
-                  </small>
-                </p>
-                ${form.errorlist('locale')}
-                ${form.select('locale', available_locale_names, selected_value=current_locale)}
-              </div>
-            </div>
-        </fieldset>
+      <fieldset>
+        <tal:c tal:condition="getattr(context, 'picture', None)">
+          <tal:t i18n:translate="">Current picture:</tal:t>
+          <img tal:attributes="src request.resource_path(context, 'picture')"
+               width="150" />
+        </tal:c>
+        ${form.errorlist('picture')}
+        <label for="picture" i18n:translate="">
+          Picture (jpg, jpeg, png or gif):</label>
+        ${form.file('picture')}
+      </fieldset>
 
-        <p>
-          <tal:with-localizer tal:define="localizer get_localizer(request)">
-            ${form.submit("submit", localizer.translate(_('Save')),  **{'class':"button button-normal"})}
-          </tal:with-localizer>
-        </p>
-        ${form.end()}
+      <fieldset>
+        ${form.errorlist('firstname')}
+        <label for="firstname" i18n:translate="">First name:</label>
+        ${form.text('firstname')}
+        ${form.errorlist('lastname')}
+        <label for="lastname" i18n:translate="">Last name:</label>
+        ${form.text('lastname')}
+      </fieldset>
+
+      <fieldset>
+        ${form.errorlist('gender')}
+        <label for="gender" i18n:translate="">Gender:</label>
+        ${form.select('gender', ['male', 'female'])}
+
+        ${form.errorlist('birth_date')}
+        <label for="birth_date" i18n:translate="">Birth date:</label>
+        ${form.date('birth_date', date_format='%d/%m/%Y')}
+
+        ${form.errorlist('height')}
+        <label for="height" i18n:translate="">Height (meters):</label>
+        ${form.text('height')}
+
+        ${form.errorlist('weight')}
+        <label for="weight" i18n:translate="">Weight (kg):</label>
+        ${form.text('weight')}
+      </fieldset>
+
+      <fieldset>
+        ${form.errorlist('bio')}
+        <label for="bio" i18n:translate="">Bio/About you:</label>
+        ${form.textarea('bio', rows=10, cols=50)}
+      </fieldset>
+
+      ${form.submit("submit", "Save")}
+      <a href="" tal:attributes="href request.resource_url(context, 'profile')"
+         i18n:translate="">Cancel</a>
+
+      ${form.end()}
     </div>
 
   </metal:content>
 
-  <metal:body-js metal:fill-slot="body-js">
-      <script src="${request.static_url('ow:static/components/pickadate/picker.js')}"></script>
-      <script src="${request.static_url('ow:static/components/pickadate/picker.date.js')}"></script>
-      <script type="text/javascript">
-       $(document).ready(function() {
-           var today = new Date();
-           var first_year = new Date();
-           // start 100 years ago, should be enough for birth date
-           first_year.setMonth(first_year.getMonth() - 1200);
-           $('#birth_date').pickadate({
-               format: 'dd/mm/yyyy',
-               formatSubmit: 'dd/mm/yyyy',
-               selectMonths: true,
-               selectYears: 100,
-               min: first_year,
-               max: today
-           });
-       });
-      </script>
-  </metal:body-js>
-
 </html>
